Bug Hunting Session
Bug 93868 - Background colour is missing in ppt/ppts file, making text invisible
Summary: Background colour is missing in ppt/ppts file, making text invisible
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.0.1.2 release
Hardware: x86-64 (AMD64) All
: medium critical
Assignee: Matus Uzak
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-02 21:03 UTC by jddcef
Modified: 2016-10-25 19:08 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Single slide sample attached (53.07 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2015-09-02 21:03 UTC, jddcef
Details
Screenshot of how it should look in Powerpoint (153.16 KB, image/jpeg)
2015-09-02 21:15 UTC, jddcef
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jddcef 2015-09-02 21:03:19 UTC
Created attachment 118360 [details]
Single slide sample attached

Because the background goes missing, the text is white on white, not as expected as per MS Office.
Comment 1 Robinson Tryon (qubit) 2015-09-02 21:11:00 UTC
TESTING on Ubuntu 14.04 + LO Version: 5.1.0.0.alpha1+
Build ID: 452b1872af72d7fb31101aa2fa35aeaf18e41a10
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-09-02_08:11:07

(In reply to jddcef from comment #0)
> Created attachment 118360 [details]

Opened pptx, and slide is all white (with just some red-squiggly-underlines from spellcheck appearing)

> Because the background goes missing, the text is white on white, not as
> expected as per MS Office.

I don't have MS-Office here to see how the file appears. Could you please attach a screenshot for comparison?  Thanks!

Status -> NEEDINFO
Comment 2 jddcef 2015-09-02 21:15:04 UTC
Created attachment 118363 [details]
Screenshot of how it should look in Powerpoint

This may be another case of #89156
Comment 3 jddcef 2015-09-02 21:15:47 UTC
Could be related to 89156
Comment 4 Robinson Tryon (qubit) 2015-09-02 21:25:56 UTC
(In reply to jddcef from comment #2)
> Created attachment 118363 [details]
> Screenshot of how it should look in Powerpoint

Thanks for the screenshot!
OS -> All
Status -> NEW

> 
> This may be another case of #89156

It's hard to tell, but it's quite possible that this is related to bug 89156.
Comment 5 jddcef 2015-09-07 14:27:14 UTC
Seems fine on 5.0.0 on Windows 10.
Comment 6 Sharuzzaman Ahmat Raslan 2015-11-16 10:35:53 UTC
Bug verified with

Version: 5.0.3.2
Build ID: e5f16313668ac592c1bfb310f4390624e3dbfb75
Locale: en-US (en_US)
Comment 7 Commit Notification 2016-03-23 06:51:52 UTC
Matus Uzak committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f3d1ac75c4b7fa63022e54a9cbff46ba99535076

tdf#93868: PPTX import: Incorrect inheritance of shape fill properties

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.